Bug 145603 - multiple firefox issues.
multiple firefox issues.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
3
All Linux
medium Severity high
: ---
: ---
Assigned To: Christopher Aillon
impact=important,public=20050120
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-19 20:33 EST by Josh Bressers
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-25 10:10:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-01-19 20:33:15 EST
===================================
Mozilla Security Advisory MSA05-001
===================================

Title:      Link opened in new tab can load a local file
Severity:   Low
Reporter:   Jesse Ruderman

Fixed in:   Firefox 1.0
            Mozilla Suite 1.7.5


Description
-----------
Links with a custom getter and toString method can bypass checks
intended to prevent web content from linking to local files and "chrome"
URIs if the user can be convinced to middle-click (or control-click)
to open it in a new tab.

The browser's "same-origin" policy prevents the attacker's content from
taking advantage of this flaw to read the local file or manipulate
privileged chrome.


Workaround
----------
Turn off javascript or upgrade to fixed version


References
----------
https://bugzilla.mozilla.org/show_bug.cgi?id=249332
Comment 1 Josh Bressers 2005-01-19 20:38:42 EST
===================================
Mozilla Security Advisory MSA05-002
===================================

Title:      Opened attachments are temporarily saved world-readable
Severity:   Moderate (on a multiuser computer)
Reporter:   danielk

Fixed in:   Firefox 1.0
            Thunderbird 0.9
            Mozilla Suite 1.7.5

Vulnerable: Firefox 0.9
            Thunderbird 0.6
            Mozilla 1.7


Description
-----------
Mozilla software released after March 2004 saves some temporary files with
world-readable permissions. In the browser this is primarily
content fed to helper applications (for example, PDF files), and in
the mail clients it is attachments.


Workaround
----------
Do not open sensitive mail attachments on a shared multiuser machine.
Upgrade to fixed version


References
----------
https://bugzilla.mozilla.org/show_bug.cgi?id=251297
Comment 2 Josh Bressers 2005-01-19 20:46:27 EST
===================================
Mozilla Security Advisory MSA05-003
===================================

Title:      Secure site lock can be spoofed with a binary download
Severity:   Low
Reporter:   Kylotan

Fixed in:   Firefox 1.0
            Mozilla Suite 1.7.5


Description 
----------- 
While on an insecure page triggering a load of a binary file from
a secure server will cause the SSL lock icon to appear. The certificate
information is that of the binary file's host, while the location bar URL
correctly shows the original insecure page.

This could potentially be abused by phishers to make their fake login sites
appear more authentic.


Workaround
----------
Upgrade to fixed version


References 
----------
https://bugzilla.mozilla.org/show_bug.cgi?id=257308
Comment 3 Josh Bressers 2005-01-19 20:52:44 EST
===================================
Mozilla Security Advisory MSA05-004
===================================

Title:      Secure site lock can be spoofed with view-source:
Severity:   Low
Reporter:   Kohei Yoshino

Fixed in:   Firefox 1.0
            Mozilla Suite 1.7.5


Description
-----------
Kohei Yoshino reports the secure site lock icon can be spoofed by using
a view-source: URL targetted at the secure site whose credentials you want
to appropriate. An insecure page of the attackers choice can then be loaded
while the lock icon shows the previous secure state.
****
This could potentially be abused by phishers to make their fake login sites
appear more authentic.


Workaround
----------
Upgrade to fixed version


References
----------
https://bugzilla.mozilla.org/show_bug.cgi?id=262689
Comment 4 Josh Bressers 2005-01-19 21:00:40 EST
===================================
Mozilla Security Advisory MSA05-005
===================================

Title:      Input stealing from other tabs
Severity:   High
Reporter:   Jakob Balle (Secunia)

Fixed in:   Firefox 1.0
            Mozilla Suite 1.7.5


Description
-----------
Jakob Balle of Secunia reported two vulnerabilities in windows with multiple
tabs. Malicious content in a background tab can attempt to steal information
intended for the topmost tab by popping up prompt dialog that appears to come
from the trusted site, or by silently redirecting input focus to a background
tab hoping to catch the user inputting something sensitive.

Jesse Ruderman and Martin Wargers discovered variants


Workaround
----------
Do not open sites with sensitive content in the same window as tabs from
untrusted content.
Upgrade to fixed version.


References
----------
http://secunia.com/advisories/12712
https://bugzilla.mozilla.org/show_bug.cgi?id=262887
https://bugzilla.mozilla.org/show_bug.cgi?id=265055
https://bugzilla.mozilla.org/show_bug.cgi?id=265456
Comment 5 Josh Bressers 2005-01-19 21:13:18 EST
===================================
Mozilla Security Advisory MSA05-007
===================================

Title:      Script-generated event can download without prompting
Severity:   High (Firefox)
Reporter:   Omar Khan

Fixed in:   Firebird 1.0


Description
-----------
Script-generated click events were indistinguishable from true clicks.
Combined with the Firefox Alt-click feature that downloads links to*
the default location without prompting this could be used by malicious
sites to place executables or other malware onto a windows user's desktop
without their knowing, or simply attempt to fill their disk.

Mozilla 1.7.5 was also fixed to distinguish synthetic from true clicks,
but it didn't suffer from unprompted downloads.

Workaround
----------
Disable javascript or upgrade to fixed version.


References
----------
https://bugzilla.mozilla.org/show_bug.cgi?id=265176
Comment 6 Josh Bressers 2005-01-19 21:20:48 EST
===================================
Mozilla Security Advisory MSA05-009
===================================

Title:      Browser responds to proxy auth request from non-proxy server (ssl/https)
Severity:   High
Reporter:   Christopher Nebergall

Fixed in:   Firefox 1.0
            Mozilla Suite 1.7.5


Description
-----------
If a proxy is configured the browser would respond to a 407 proxy auth
request from any SSL-connected server rather than only responding to
the configured proxy server. This could leak NTLM or SPNEGO credentials
outside the organization.


Workaround
----------
Upgrade to the fixed version


References
----------
https://bugzilla.mozilla.org/show_bug.cgi?id=267263
Comment 7 Josh Bressers 2005-01-19 21:27:11 EST
===================================
Mozilla Security Advisory MSA05-011
===================================

Title:      Mail responds to cookie requests
Severity:   High
Reporter:   Michiel van Leeuwen

Fixed in:   Thunderbird 1.0
            Mozilla Suite 1.7.5

Vulnerable: Thunderbird 0.6 - 0.9
            Mozilla Suite 1.7 - 1.7.3


Description
-----------
Mozilla mail clients from March to December 2004 responded to cookie
requests accompanying content loaded over HTTP, ignoring the setting
of the preference "network.cookie.disableCookieForMailNews" (disabled
cookies are the default in mail).

Cookies in mail (especially spam) could be used to track people.


Workaround
----------
Set the mail client not to load remote content at all (the default
setting in Thunderbird, the "View as Simple text" option in the Mozilla Suite).
Upgrade to the fixed version


References
----------
https://bugzilla.mozilla.org/show_bug.cgi?id=267263
Comment 8 Josh Bressers 2005-01-19 21:38:51 EST
===================================
Mozilla Security Advisory MSA05-012
===================================

Title:      javascript: Livefeed bookmarks can steal cookies
Severity:   High
Reporter:   Omar Khan

Fixed in:   Firefox 1.0


Description
-----------
Earlier versions of Firefox allowed javascript: and data: URLs
as Livefeed bookmarks. When they updated the URL would be run in
the context of the current page and could be used to steal cookies
or data displayed on the page.

If the user were on a page with elevated privileges (for example,
about:config) when the Livefeed was updated, the feed URL could
potentially run arbitrary code on the user's machine.


Workaround
----------
Do not add non-http URLs as a Livefeed bookmark.
Upgrade to the fixed version


References
----------
https://bugzilla.mozilla.org/show_bug.cgi?id=265668
Comment 9 Josh Bressers 2005-01-25 10:10:02 EST
We ship firefox 1.0 in FC3.  These issues therefore do not affect us.

Note You need to log in before you can comment on or make changes to this bug.